stages:
  - test
  - lint

variables:
  PIP_CACHE_DIR: "${CI_PROJECT_DIR}/.cache/pip"

cache:
  key: "${CI_JOB_NAME}"
  paths:
    - .cache/pip

test:
  stage: test
  image: python
  before_script:
    - python -m pip install cookiecutter
  script:
    - python -m cookiecutter . --no-input --config-file test/config.yaml
    - python -m cookiecutter . --no-input --config-file test/config-nolint.yaml
  artifacts:
    paths:
      - test_package
      - test_package_nolint

lint:
  stage: lint
  image: gableroux/gitlab-ci-lint
  dependencies:
    - test
  script:
    - gitlab-ci-lint test_package/.gitlab-ci.yml
    - gitlab-ci-lint test_package_nolint/.gitlab-ci.yml
